﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_TRANSACTION')
 CREATE TABLE t_CBS_DTX_TRANSACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FXID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTX_TYPE INT DEFAULT 0 NOT NULL,
FSCENES_TX_ID BIGINT DEFAULT 0 NOT NULL,
FSTATUS SMALLINT DEFAULT 0 NOT NULL,
FTENANT_ID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNT_ID BIGINT DEFAULT 0 NOT NULL,
FROLLBACK_REASON NVARCHAR(500) DEFAULT ' ',
FCREATE_TIME DATETIME,
FUPDATE_TIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_BRANCH')
 CREATE TABLE t_CBS_DTX_BRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FXID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBRANCH_ID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRESOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCENES_BRANCH_ID BIGINT DEFAULT -1 NOT NULL,
FPARAS NCLOB DEFAULT ' ',
FRESULT NCLOB DEFAULT ' ',
FSTATUS SMALLINT DEFAULT 0 NOT NULL,
FCREATE_TIME DATETIME,
FUPDATE_TIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_LOGS')
 CREATE TABLE t_CBS_DTX_LOGS (
FID BIGINT DEFAULT 0 NOT NULL,
FXID NVARCHAR(100) DEFAULT ' ',
FBRANCH_ID NVARCHAR(100) DEFAULT ' ',
FACTION_TYPE SMALLINT DEFAULT 0 NOT NULL,
FTRIGGER_TYPE SMALLINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ',
FRESULT SMALLINT DEFAULT 0 NOT NULL,
FCREATE_TIME DATETIME,
FUPDATE_TIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_RETRY_STAT')
 CREATE TABLE t_CBS_DTX_RETRY_STAT (
FID BIGINT DEFAULT 0 NOT NULL,
FXID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRIGGER_TYPE SMALLINT DEFAULT 0 NOT NULL,
FCOMMIT_RETRY_COUNT INT DEFAULT 0 NOT NULL,
FROLLBACK_RETRY_COUNT INT DEFAULT 0 NOT NULL,
FCREATE_TIME DATETIME,
FUPDATE_TIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_TX_SCENES')
 CREATE TABLE t_CBS_DTX_TX_SCENES (
FID BIGINT DEFAULT 0 NOT NULL,
FCODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPP NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONE NVARCHAR(11) DEFAULT ' ',
FREMARK NVARCHAR(500) DEFAULT ' ',
froutekey varchar(50) DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_BRANCH_SCENES')
 CREATE TABLE t_CBS_DTX_BRANCH_SCENES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL ,
FCODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' '
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_CBS_DTX_BUSINESS')
 CREATE TABLE t_CBS_DTX_BUSINESS (
FID BIGINT DEFAULT 0 NOT NULL,
FXID NVARCHAR(100) DEFAULT ' ',
FBUSINESS_ID NVARCHAR(200) DEFAULT ' ',
FBUSINESS_TYPE NVARCHAR(100) DEFAULT ' ',
FCREATE_TIME DATETIME
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
