 EXEC P_ALTERPK 'PK_CBS_SHARD_METRIC', 'T_CBS_SHARD_METRIC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_METRIC_NUM') CREATE INDEX IDX_CBS_SHARD_METRIC_NUM ON T_CBS_SHARD_METRIC ( FBILLNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_METRIC_TRACD') CREATE INDEX IDX_CBS_SHARD_METRIC_TRACD ON T_CBS_SHARD_METRIC ( FTRACEID );


 EXEC P_ALTERPK 'PK_CBS_SHARD_STAT_DET_ETY', 'T_CBS_SHARD_STAT_DET_ETY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_STAT_DET_ETY_FK') CREATE INDEX IDX_CBS_SHARD_STAT_DET_ETY_FK ON T_CBS_SHARD_STAT_DET_ETY ( FID );


 EXEC P_ALTERPK 'PK_CBS_SHARD_STAT_DETAIL', 'T_CBS_SHARD_STAT_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_STAT_DETAIL_NUM') CREATE INDEX IDX_CBS_SHARD_STAT_DETAIL_NUM ON T_CBS_SHARD_STAT_DETAIL ( FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_CBS_SHARD_STATISTIC', 'T_CBS_SHARD_STATISTIC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_STAT_NUM') CREATE INDEX IDX_CBS_SHARD_STAT_NUM ON T_CBS_SHARD_STATISTIC ( FENTITYNUMBER );
 
 
 EXEC P_ALTERPK 'PK_CBS_SHARD_DISPERSE_INFO', 'T_CBS_SHARD_DISPERSE_INFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_DISPERSE_INFO_FK') CREATE INDEX IDX_CBS_SHARD_DISPERSE_INFO_FK ON T_CBS_SHARD_DISPERSE_INFO ( FID );


 EXEC P_ALTERPK 'PK_CBS_SHARD_DISPERSION', 'T_CBS_SHARD_DISPERSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_DISPERSE_NUM') CREATE INDEX IDX_CBS_SHARD_DISPERSE_NUM ON T_CBS_SHARD_DISPERSION ( FENTITYNUMBER );
 
 EXEC P_ALTERPK 'PK_S_CBS_SHARD_METRIC_BILL', 'T_CBS_SHARD_METRIC_BILL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_S_CBS_SHARD_METRIC_BILL_FK') CREATE INDEX IDX_S_CBS_SHARD_METRIC_BILL_FK ON T_CBS_SHARD_METRIC_BILL ( FID );


 EXEC P_ALTERPK 'PK_S_CBS_SHARD_METRIC_INFO', 'T_CBS_SHARD_METRIC_INFO', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_S_CBS_SHARD_METRIC_INFO_FK') CREATE INDEX IDX_S_CBS_SHARD_METRIC_INFO_FK ON T_CBS_SHARD_METRIC_INFO ( FENTRYID );


 EXEC P_ALTERPK 'PK_CBS_SHARD_METRIC_STAT', 'T_CBS_SHARD_METRIC_STAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_METRIC_STAT') CREATE INDEX IDX_CBS_SHARD_METRIC_STAT ON T_CBS_SHARD_METRIC_STAT ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CBS_SHARD_TASKID_STB') CREATE INDEX IDX_CBS_SHARD_TASKID_STB ON T_CBS_SHARD_PROGRESS ( FTASKID, FSHARD_TABLE );
