﻿/* 兼容旧版分表配置迁移到新版 */
INSERT INTO T_CBS_SHARD_CONFIG(FID,FENTITYNUMBER,FSHARDINGFIELDS,FSTRATEGY,FSTRATEGYZH_CN,FSTRATEGYPARAMS,FCONFIGSTATUS,FVERSION,FCREATETIME,FMODIFYTIME,FOPERATIONLOG,FNUMBER,FRWMARK)
SELECT o.FID,o.FENTITYNUMBER,o.FSHARDINGFIELDS,o.FSTRATEGY,o.FSTRATEGYZH_CN,o.FSTRATEGYPARAMS,
'2' AS FCONFIGSTATUS,0 AS FVERSION,o.FMODIFYTIME,o.FMODIFYTIME,' ' AS FOPERATIONLOG,o.FNUMBER,' ' AS FRWMARK
FROM T_BAS_SHARDSTRATEGY_SET o WHERE o.FENTITYNUMBER NOT IN (SELECT FENTITYNUMBER FROM T_CBS_SHARD_CONFIG) AND o.FID NOT IN (SELECT FID FROM T_CBS_SHARD_CONFIG) AND o.FSHARDINGENABLE = '1' AND o.FSHARDINGCOMPLETED = '1'

INSERT INTO T_CBS_SHARD_CONFIG_L(FPKID,FID,FLOCALEID,FNAME)
SELECT ol.FPKID,ol.FID,ol.FLOCALEID,ol.FNAME
FROM T_CBS_SHARD_CONFIG n,T_BAS_SHARDSTRATEGY_SET_L ol WHERE n.FID = ol.FID
AND ol.FID NOT IN (SELECT FID FROM T_CBS_SHARD_CONFIG_L)
	
/* 兼容旧版分表别名映射迁移到新版 */
INSERT INTO T_CBS_SHARD_NAME_MAP(FID,FTABLE_NAME,FTYPE,FORIGINAL_NAME,FALIAS_NAME,FCREATETIME)
SELECT FID,FTABLE_NAME,FTYPE,FORIGINAL_NAME,FALIAS_NAME,FCREATETIME FROM T_BAS_SHARD_NAME_ALIAS WHERE  FTABLE_NAME NOT IN (SELECT FTABLE_NAME FROM T_CBS_SHARD_NAME_MAP) AND FID NOT IN (SELECT FID FROM T_CBS_SHARD_NAME_MAP)